##
## FILE:     passing-efficiency.py
## AUTHOR:   Eugene Wallingford
## DATE:     2014/09/05
## COMMENT:  Compute NFL passing efficiency rating
##

"""                        Sawyer Kollmorgen, 2012
passes_completed = 185
passes_attempted = 313
passing_yards    = 2450
touchdown_passes = 21
interceptions    = 8
"""

print("--------------------------")
print("Passing efficiency   (NFL)")
print("--------------------------")

passes_completed_in = input("Passes completed: ")
passes_attempted_in = input("Passes attempted: ")
passing_yards_in    = input("Passing yards   : ")
touchdown_passes_in = input("Touchdown passes: ")
interceptions_in    = input("Interceptions   : ")

passes_completed = int(passes_completed_in)
passes_attempted = int(passes_attempted_in)
passing_yards    = int(passing_yards_in)
touchdown_passes = int(touchdown_passes_in)
interceptions    = int(interceptions_in)

C = (100 * (passes_completed / passes_attempted) - 30) / 20
Y = (passing_yards / passes_attempted - 3) / 4
T = (touchdown_passes / passes_attempted) * 20
I = 2.375 - (interceptions / passes_attempted) * 25
R = 100 * (C + Y + I + T) / 6

passing_efficiency = int(R * 100) / 100.0

print("--------------------------")
print("Passing efficiency =", passing_efficiency)
print("--------------------------")
