##
## FILE:     population-predictor.py
## AUTHOR:   Eugene Wallingford
## DATE:     2014/09/05
## COMMENT:  Predict US population in a future year based on
##           current rates of birth, death, and net migration.
##

print("--------------------------")
print("US Population Forecast '14")
print("--------------------------")

starting_population = 318817047
starting_year       = 2014

target_year_in = input("Target year: ")

target_year   = int(target_year_in)
total_years   = target_year - starting_year
total_seconds = int(total_years * 365.25 * 24 * 60 * 60)

births            = total_seconds // 8
deaths            = total_seconds // 13
net_migration     = total_seconds // 38
ending_population = starting_population + births - deaths + net_migration

print("--------------------------")
print("Population on " + target_year_in +"/09/05 =")
print(ending_population, "(estimated)")
print("--------------------------")
